edu.sc.seis.sod.subsetter.eventStation

## Class EventStationXOR

- java.lang.Object
- - edu.sc.seis.sod.subsetter.LogicalSubsetter
  - - edu.sc.seis.sod.subsetter.eventStation.EventStationLogicalSubsetter
    - - edu.sc.seis.sod.subsetter.eventStation.EventStationXOR

- All Implemented Interfaces:
    SodElement, EventStationSubsetter, Subsetter

      public final class EventStationXOR
      extends EventStationLogicalSubsetter
      implements EventStationSubsetter

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.eventStation.EventStationLogicalSubsetter

      `packages`

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.LogicalSubsetter

      `filterList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventStationXOR(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.StationImpl station, CookieJar cookieJar)`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.eventStation.EventStationLogicalSubsetter

      `createSubsetter, getPackages, getSubsetter`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.LogicalSubsetter

      `getSubsetters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventStationXOR

          public EventStationXOR(org.w3c.dom.Element config)
                          throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                   edu.iris.Fissures.network.StationImpl station,
                                   CookieJar cookieJar)
                            throws java.lang.Exception

      Specified by:
        `accept` in interface `EventStationSubsetter`
      Throws:
        `java.lang.Exception`